Bug 823907 - util-linux should not be in one package with GNU time
util-linux should not be in one package with GNU time
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE 13.1
Classification: openSUSE
Component: Basesystem
Final
x86-64 openSUSE 13.1
: P5 - None : Normal (vote)
: Final
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 12:30 UTC by Christopher Yeleighton
Modified: 2014-10-31 12:05 UTC (History)
1 user (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2013-06-07 12:30:55 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:21.0) Gecko/20100101 Firefox/21.0

GNU time is a different project from a different upstream than util-linux; the package should be split.

Reproducible: Always

Steps to Reproduce:
  1. { rpm -qd util-linux; }

Actual Results:  
  1, /usr/share/doc/packages/time/COPYING

Expected Results:  
  1. /usr/share/doc/packages/util-linux/COPYING

Fixed in Factory.
Comment 1 Stanislav Brabec 2013-06-10 11:59:22 UTC
It is fixed in the Factory. Is there anything else what should be done?
Comment 2 Christopher Yeleighton 2013-06-10 12:07:53 UTC
Update supported editions.  Mis-attribution is not technically harmful but it is socially harmful.
Comment 3 Christopher Yeleighton 2013-06-10 12:10:36 UTC
BTW, I am afraid util-linux from Factory does not have COPYING at all.
Comment 4 Christopher Yeleighton 2013-06-10 12:14:34 UTC
And the customer deserves to have the README file in %doc.
Comment 5 Petr Gajdos 2014-08-26 07:58:18 UTC
(In reply to comment #4)
> And the customer deserves to have the README file in %doc.

Christopher, feel free to do an update for released distributions. 
https://en.opensuse.org/Portal:Maintenance
Thanks!
Comment 6 Matthias Griessmeier 2014-09-15 07:13:35 UTC
Feel free to submit your Update as soon as you're ready.
Comment 7 Petr Gajdos 2014-09-15 07:47:03 UTC
Fixed in factory. There's no volunteer to do an maintenance update.
Comment 8 Christopher Yeleighton 2014-10-18 20:30:25 UTC
  maintenance_incident: home:yecril71pl:branches:openSUSE:13.1:Update/util-linux.openSUSE_13.1_Update -> openSUSE:Maintenance (release in openSUSE:13.1:Update)


Message:
- Add documentation (bnc#823907)

State:   new        2014-10-18T20:27:15 yecril71pl
Comment 9 Bernhard Wiedemann 2014-10-18 21:00:13 UTC
This is an autogenerated message for OBS integration:
This bug (823907) was mentioned in
https://build.opensuse.org/request/show/257576 13.1 / util-linux
Comment 10 Swamp Workflow Management 2014-10-31 12:05:17 UTC
openSUSE-RU-2014:1337-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 823907
CVE References: 
Sources used:
openSUSE 13.1 (src):    util-linux-2.23.2-20.1